﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GDI_and_RightToLeftLayout
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);
            //You would expect this to draw a line starting from the upper right corner 
            //since the forms RightToLeftLayout property is set to true 
            //but the line starts from the upper left corner and when you try to resize the form 
            //ot a larger size you will see the visual glitches.
            //This happens only when the RightToLeftLayout property is set to true
            //(setting only the RightToLeft property to true wont cause this glitch)
            e.Graphics.DrawLine(Pens.Black, new Point(0, 0), new Point(100, 100));
        }
    }
}
